Bug 1018931 - fedmsg support for bugzilla.redhat.com
fedmsg support for bugzilla.redhat.com
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On: 1110974 1129955
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 13:53 EDT by Kevin Fenzi
Modified: 2016-03-28 22:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 22:12:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-10-14 13:53:07 EDT
Fedora folks would love to be able to add fedmsg support to bugzilla.redhat.com for Fedora and Fedora EPEL bugs only. 

fedmsg is our 0mq message bus. Most of our applications are enabled on it to emit messages when changes or events occur. We can then see what all is happening in our infrastructure as well as acting on messages as they happen. For example, awarding badges for users doing things, or starting syncs when jobs are done, etc. 

http://fedmsg.readthedocs.org/en/latest/overview/ has some more overview of fedmsg. 
You can also see it real time in #fedora-fedmsg on irc.freenode.net, with fedmsg-notify package on your desktop, or via https://apps.fedoraproject.org/busmon/ (websocket). 

We would like to add a bugzilla plugin that emits messages for Fedora and Fedora EPEL component bugs when some actions happen on any of them. Likely this would be the same set of things that generate emails currently. (new bug opened, state change, comment, etc). The plugin should just simply be a noop in the case of non Fedora bugs, and also should be a no-op if it is unable to send, etc. 

This plugin doesn't currently exist, but we should be able to write it and help maintain it. This bug is first to explore the idea and see if you are open to running such a plugin at all before any implementation is done and what requirements you might have for such a plugin. 

An alternate way we thought of to do this would be to add a account to CC on all Fedora bugs and scrape emails, but this would generate a bunch more load for you and would be prone to error dealing with the emails, so a fedmsg plugin seems like it would be a LOT more 'clean'. 

Happy to provide more information or details or use cases, etc. 

Thanks for your consideration.
Comment 1 Kevin Fenzi 2013-10-14 13:54:29 EDT
Adding Ralph here for comment/input. He's out fedmsg guru. ;)
Comment 2 Ralph Bean 2013-10-15 19:32:17 EDT
I'd add that we can adapt to whatever kind of plugin you would like to run.  If, for instance, if the Bugzilla team wants to publish messages over AMQP or pubsubhubbub, we can consume that and translate it to our 0mq bus.
Comment 3 Ralph Bean 2014-02-13 10:58:45 EST
Had some conversations with Tim Powers at DevConf that indicated that this is moving forwards.  Expected timeframe ~= 3 months.
Comment 4 Luke Macken 2014-08-09 11:11:43 EDT
We're able connect to the fuse fabric, but we are not receiving any messages.
Comment 5 Matt Tyson 2014-08-10 18:18:57 EDT
(In reply to Luke Macken from comment #4)
> We're able connect to the fuse fabric, but we are not receiving any messages.

The message broker has not been enabled on production bugzilla yet.
Comment 6 Ralph Bean 2015-03-09 10:13:53 EDT
Noting here that we're still waiting on InfoSec review, as far as I know.
Comment 7 Ralph Bean 2016-03-28 21:17:49 EDT
Working on deployment now.
Comment 9 Ralph Bean 2016-03-28 22:12:42 EDT
Thanks all!

Note You need to log in before you can comment on or make changes to this bug.